import request from "@/api/request.js";

//获取人物新闻动态
export function getnewsDynamics(params) {
  return request({
    method: 'GET',
    url: `/api/personRemarksOverview/newsDynamics`,
    params
  })
}

//获取主要人物涉华观点统计
/**
 * @param {personTypeId}
 * @param {year} 
 * @header token
 */
export function getMainCharactersView(params) {
    return request({
        method: 'GET',
        url: `/api/personRemarksOverview/option/count/${params.personTypeId}/${params.year}`,
        params,
    })
}

//获取科技人物观点词云
/**
 * @param {year} 
 * @header token
 * @areaId
 */
export function getCharacterOpinionWordCloud(params) {
    return request({
        method: 'GET',
        url: `/api/personRemarksOverview/option/${params.year}`,
        params,
    })
}

//获取人物观点涉及领域变化趋势
/**
 * @param {startTime} 
 * @header token
 */
export function getOptionAreaChange(params) {
    return request({
        method: 'GET',
        url: `/api/personRemarksOverview/optionAreaChange/${params.startTime}`,
        params,
    })
}

//获取重要人物言论及立场
/**
 * @param {industryId} 
 * @header token
 */
export function getPersonRelation(params) {
    return request({
        method: 'GET',
        url: `/api/personRemarksOverview/personRelation`,
        params,
    })
}

//获取人物动向
/**
 * @param {startTime} 
 * @header token
 */
export function getCharacterTrends(params) {
    return request({
        method: 'GET',
        url: `/api/personRemarksOverview/personRelation/${params.startTime}`,
        params,
    })
}

// 获取人物资源库
/**
 * @param {personTypeId,currentPage,pageSize} 
 * @header token
 */
export function getPersonResource(params) {
    return request({
        method: 'GET',
        url: `/api/personRemarksOverview/personResource`,
        params,
    })
}

//获取科技人物类型
export function getPersonTypeCount(params) {
  return request({
    method: 'GET',
    url: `/api/personRemarksOverview/personTypeCount`,
    params
  })
}

// 获取风险信号
/**
 * @param {moduleId} 
 */
export function getBillRiskSignal(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/riskSignal/${params.moduleId}`,
    })
}

//获取人物类别
export function getPersonType(params) {
  return request({
    method: 'GET',
    url: `/api/commonDict/personType`,
    params
  })
}

// 获取人物全局信息 通过personId 获取personType
export function getPersonSummaryInfo(params) {
    return request({
        method: 'GET',
        url: `/api/personHomepage/summaryInfo/${params.personId}`,
    })
}
 
export function getareaType(params) {
    return request({
        method: 'GET',
        url: `/api/commonDict/areaType`,
        params
    })
}